--- a/connectagram.pro	2018-07-11 19:19:33.058534696 +0200
+++ b/connectagram.pro	2018-07-11 19:20:30.536282297 +0200
@@ -90,16 +90,16 @@
 	RESOURCES += icons/icon.qrc
 
 	isEmpty(PREFIX) {
-		PREFIX = /usr/local
+		PREFIX = /usr
 	}
 	isEmpty(BINDIR) {
-		BINDIR = bin
+		BINDIR = @GAMES_BINDIR@
 	}
 
-	target.path = $$PREFIX/$$BINDIR/
+	target.path = $$BINDIR/
 
 	data.files = data
-	data.path = $$PREFIX/share/connectagram/
+	data.path = @GAMES_DATADIR@/connectagram/
 
 	pixmap.files = icons/connectagram.xpm
 	pixmap.path = $$PREFIX/share/pixmaps/
@@ -114,7 +114,7 @@
 	appdata.path = $$PREFIX/share/metainfo/
 
 	qm.files = $$replace(TRANSLATIONS, .ts, .qm)
-	qm.path = $$PREFIX/share/connectagram/translations
+	qm.path = @GAMES_DATADIR@/connectagram/translations
 	qm.CONFIG += no_check_exist
 
 	man.files = doc/connectagram.6
--- a/src/locale_dialog.cpp
+++ b/src/locale_dialog.cpp
@@ -88,6 +88,7 @@
 		paths.append(appdir);
 		paths.append(appdir + "/../share/" + QCoreApplication::applicationName().toLower());
 		paths.append(appdir + "/../Resources");
+		paths.append("@GAMES_DATADIR@/connectagram");
 	}
 	for (const QString& path : paths) {
 		if (QFile::exists(path + "/translations/")) {
--- a/src/new_game_dialog.cpp
+++ b/src/new_game_dialog.cpp
@@ -48,7 +48,7 @@
 	m_wordlist = new WordList(this);
 	m_wordlist->setLanguage(WordList::defaultLanguage());
 	m_languages_box = new QComboBox(this);
-	QStringList languages = QDir("connectagram:").entryList(QDir::Dirs | QDir::NoDotAndDotDot);
+	QStringList languages = QDir("@GAMES_DATADIR@/connectagram/data").entryList(QDir::Dirs | QDir::NoDotAndDotDot);
 	for (const QString& language : languages) {
 		m_languages_box->addItem(LocaleDialog::languageName(language), language);
 	}
--- a/src/wordlist.cpp
+++ b/src/wordlist.cpp
@@ -91,9 +91,9 @@
 
 QString WordList::defaultLanguage() {
 	QString language = QLocale().name();
-	if (!QFile::exists("connectagram:" + language)) {
+	if (!QFile::exists("@GAMES_DATADIR@/connectagram/data/" + language)) {
 		language = language.left(2);
-		if (!QFile::exists("connectagram:" + language)) {
+		if (!QFile::exists("@GAMES_DATADIR@/connectagram/data/" + language)) {
 			language = "en";
 		}
 	}
@@ -112,7 +112,7 @@
 	m_maximum_length(0)
 {
 	// Read words from disk
-	QFile file("connectagram:" + language + "/words");
+	QFile file("@GAMES_DATADIR@/connectagram/data/" + language + "/words");
 	if (!file.open(QFile::ReadOnly | QIODevice::Text)) {
 		return;
 	}
